Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158776 - ecj needs to put endorsed dirs on the target bootclasspath
Summary: ecj needs to put endorsed dirs on the target bootclasspath
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 16:25 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-26 17:49:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 126419 None None None Never

Description Anthony Green 2005-05-25 16:25:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have an RPM for tritonus which provides javax.sound.  This should really be part of libgcj one day, but in the meanwhile we can just stow it in gcj's endorsed dir.

Unfortunately the Eclipse compiler doesn't add gcj's endorsed dir to the target bootclasspath.  

One solution would be to patch Eclipse to put gnu.gcj.runtime.endorsed.dirs in the target bootclasspath.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put something in gcj's endorsed dir
2.Try to compile something that uses it
3.
  

Additional info:

Comment 1 Thomas Fitzsimmons 2005-11-10 23:04:59 UTC
Yes, we'll need to put the value of the system property "java.endorsed.dirs" on
ecj's bootclasspath; then you can put the tritonus jar in one of those directories.


Comment 2 Anthony Green 2006-02-03 21:42:56 UTC
(In reply to comment #1)
> Yes, we'll need to put the value of the system property "java.endorsed.dirs" on
> ecj's bootclasspath; then you can put the tritonus jar in one of those
directories.
> 

Sounds good to me.  Is that how Sun's javac works?

AG


Comment 3 Thomas Fitzsimmons 2006-02-03 21:57:10 UTC
Yes.  I've filed this upstream and added a reference here.


Comment 4 Thomas Fitzsimmons 2006-07-26 17:49:07 UTC
This is fixed now that Eclipse 3.2 is in Rawhide.



Note You need to log in before you can comment on or make changes to this bug.